Name:       ccgo
Version:    0.3.6.4
Release:    12%{?dist}
Summary:    An IGS (Internet Go Server) client written in C++
Group:      Amusements/Games
License:    GPLv3+
URL:        http://ccdw.org/~cjj/prog/%{name}/
Source0:    %{url}src/%{name}-%{version}.tar.gz
# Pass compilation with -Wformat-security, bug #1037009
Patch0:     %{name}-0.3.6.4-Pass-compilation-with-Wformat-security.patch
BuildRequires:  gettext, gconfmm26-devel, gtkmm24-devel, pkgconfig
BuildRequires:  desktop-file-utils
# Update config.sub to support aarch64, bug #925132
BuildRequires: autoconf automake gettext-devel
# Optional, but ccgo does not signal missing gnugo through GUI
Requires:       gnugo

%description
ccGo allows you to play go with GNU Go on your computer or with other players
on an Internet Go Server (IGS) on the Internet. It supports smart game format
(SGF) suitable for exchanging game records.

%prep
%setup -q
%patch0 -p1 -b .warning
# Make XDG desktop file compliant
sed -i -e '/^Encoding/d' -e '/^Categories/s/Application;//' %{name}.desktop.in 
# Update config.sub to support aarch64, bug #925132
autoreconf -i -f

%build
%configure
make %{?_smp_mflags}

%install
desktop-file-validate %{name}.desktop
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%doc AUTHORS COPYING README

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 03 2013 Petr Pisar <ppisar@redhat.com> - 0.3.6.4-10
- Pass compilation with -Wformat-security (bug #1037009)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 27 2013 Petr Pisar <ppisar@redhat.com> - 0.3.6.4-8
- Update config.sub to support aarch64 (bug #925132)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6.4-5
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 07 2011 Petr Pisar <ppisar@redhat.com> - 0.3.6.4-3
- Rebuild against new libpng-1.5.6 and clean spec file

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 16 2010 Petr Pisar <ppisar@redhat.com> - 0.3.6.4-1
- 0.3.6.4 imported
